# eric6.E5XML.MultiProjectReader

Module implementing a class for reading an XML multi project file.

### Global Attributes

None

### Classes

MultiProjectReader | Class for reading an XML multi project file.

### Functions

None

## MultiProjectReader

Class for reading an XML multi project file.

### Derived from

XMLStreamReaderBase

### Class Attributes

supportedVersions

### Class Methods

None

### Methods

MultiProjectReader | Constructor
__readProject | Private method to read the project info.
__readProjects | Private method to read the project infos.
readXML | Public method to read and parse the XML document.

### Static Methods

None

#### MultiProjectReader (Constructor)

MultiProjectReader(device, multiProject)

Constructor

device
  reference to the I/O device to read from (QIODevice)
multiProject
  Reference to the multi project object to store the information into.

#### MultiProjectReader.__readProject

__readProject()

Private method to read the project info.

#### MultiProjectReader.__readProjects

__readProjects()

Private method to read the project infos.

#### MultiProjectReader.readXML

readXML()

Public method to read and parse the XML document.

Up